﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Entitats;


namespace Negoci
{
    public class FacturaBL
    {
        private SaisOnlineEntities context;

        //private dsFacturaTableAdapters.viewFacturaImprTableAdapter adapter = dsFacturaTableAdapters.viewFacturaImprTableAdapter(); 

        public FacturaBL()
        {
            context = new SaisOnlineEntities();
        }

        public List<viewFactura> GetViewFacturas(string login)
        {
            List<viewFactura> lista = new List<viewFactura>();
            try
            {
                if (login != "")
                {
                    var fras = from f in context.viewFactura where f.login == login select f;
                    lista = fras.ToList();
                }
                else
                {
                    var fras = from f in context.viewFactura select f;
                    lista = fras.ToList();
                }
            }
            catch (Exception)
            {
                return lista;
            }

            return lista;
        }

        public viewFacturaImpr GetViewFacturaImpr(int numero)
        {
            viewFacturaImpr fra = new viewFacturaImpr();
            try
            {
                    var factura = from f in context.viewFacturaImpr where f.numero==numero select f;
                    fra = factura.FirstOrDefault<viewFacturaImpr>();
            }
            catch (Exception)
            {
                return fra;
            }

            return fra;
        }

        public List<viewFacturaLin> GetViewFacturaLinByNumero(int numero)
        {
            List<viewFacturaLin> fra = new List<viewFacturaLin>();
            try
            {
                var factura = from f in context.viewFacturaLin where f.factura == numero orderby f.precio_iva descending select f;
                fra = factura.ToList();
            }
            catch (Exception)
            {
                return fra;
            }

            return fra;
        }

        public List<FacturaIva> GetFacturaIvaByNumero(int numero)
        {
            List<FacturaIva> fra = new List<FacturaIva>();
            try
            {
                var factura = from f in context.FacturaIva where f.factura == numero orderby f.tipo_iva select f;
                fra = factura.ToList();
            }
            catch (Exception)
            {
                return fra;
            }

            return fra;
        }



    }
}
