﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="Contacto.aspx.cs" Inherits="Web.Contacto" %>

<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">

        function btnAddCantClick(codigo) {
            PageMethods.addCantidad(codigo,
                function (res) {
                    if (res == 1)
                        __doPostBack('UpdatePanel1', '');
                }
            );
        }

        function btnEliminarCantClick(codigo) {
            PageMethods.restarCantidad(codigo,
                function (res) {
                    if (res == 1)
                        __doPostBack('UpdatePanel1', '');
                }
            );
        }

    </script>
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
    </asp:ScriptManager>
    <div>
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <table width="100%">
            <tr valign="middle">
                <td valign="top" width="20%">
                    <div id="divLeft" class="left">
                        <asp:Panel ID="pnlLeft" runat="server" Height="100%">
                            <asp:Panel ID="pnlCarrito" runat="server" BorderColor="#666666" BorderStyle="Solid"
                                HorizontalAlign="Center">
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server" OnLoad="UpdatePanel1_Load">
                                    <ContentTemplate>
                                        <table>
                                            <tr>
                                                <td align="left">
                                                    <asp:Label ID="lblCarrito" runat="server" Text="Cesta de la Compra"></asp:Label>
                                                    <asp:Image ID="imgCarrito" runat="server" ImageUrl="~/icons/basket.png" />
                                                    <br />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:GridView ID="gvPedidoLin" runat="server" AutoGenerateColumns="False" CellPadding="4"
                                                        ForeColor="#333333" GridLines="None" Width="100px" Font-Size="Small">
                                                        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                                                        <Columns>
                                                            <asp:BoundField DataField="id_pedido_lin" HeaderText="id_pedido_lin" SortExpression="id_pedido_lin"
                                                                Visible="False" />
                                                            <asp:BoundField DataField="pedido" HeaderText="pedido" SortExpression="pedido" Visible="False" />
                                                            <asp:BoundField DataField="articulo" HeaderText="Artículo" SortExpression="articulo">
                                                                <ItemStyle Width="75px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="cantidad" HeaderText="Cantidad" SortExpression="cantidad">
                                                                <ItemStyle Width="50px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="precio_iva" HeaderText="Precio" SortExpression="precio_iva">
                                                                <ItemStyle Width="75px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="descuento" HeaderText="Dto." SortExpression="descuento">
                                                                <ItemStyle Width="50px" />
                                                            </asp:BoundField>
                                                            <asp:TemplateField>
                                                                <ItemTemplate>
                                                                    <%# btnAddCant(Eval("articulo"))%>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                            <asp:TemplateField>
                                                                <ItemTemplate>
                                                                    <%# btnElimCant(Eval("articulo"))%>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                        </Columns>
                                                        <EditRowStyle BackColor="#999999" />
                                                        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                                                        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                                                        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                                        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                                                        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                                                        <SortedAscendingCellStyle BackColor="#E9E7E2" />
                                                        <SortedAscendingHeaderStyle BackColor="#506C8C" />
                                                        <SortedDescendingCellStyle BackColor="#FFFDF8" />
                                                        <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
                                                    </asp:GridView>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left">
                                                    <br />
                                                    <asp:Label ID="lblNoHayLin" runat="server" Text="No hay ningún artículo en el carrito."
                                                        Font-Italic="True"></asp:Label>
                                                    <asp:Label ID="lblTotal" runat="server" Visible="False" Font-Bold="True"></asp:Label>
                                                    &nbsp;&nbsp;
                                                    <asp:Button ID="btnComprar" runat="server" Text="COMPRAR" OnClick="btnComprar_Click" />
                                                </td>
                                            </tr>
                                        </table>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </asp:Panel>
                            <br />
                            <asp:Panel ID="pnlMenu" runat="server">
                                <asp:Label ID="lblArticulos" runat="server" Text="Artículos" Font-Bold="True" Font-Underline="True"></asp:Label>
                                <br />
                                <asp:Menu ID="menu" runat="server" CssClass="menu" EnableViewState="False" IncludeStyleBlock="False">
                                </asp:Menu>
                                <br />
                                <br />
                                <asp:Label ID="lblInfo" runat="server" Text="Información" Font-Bold="True" Font-Underline="True"></asp:Label>
                                <br />
                                <asp:Menu ID="menu2" runat="server" CssClass="menu" EnableViewState="False" IncludeStyleBlock="False">
                                    <Items>
                                        <asp:MenuItem NavigateUrl="~/ComoComprar.aspx" Text="¿Cómo comprar?" Value="¿Cómo comprar?">
                                        </asp:MenuItem>
                                        <asp:MenuItem NavigateUrl="~/QueEs.aspx" Text="¿Que es un SAI?" Value="¿Que es un SAI?">
                                        </asp:MenuItem>
                                        <asp:MenuItem NavigateUrl="~/Contacto.aspx" Text="Contacto" Value="Contacto"></asp:MenuItem>
                                    </Items>
                                </asp:Menu>
                            </asp:Panel>
                        </asp:Panel>
                    </div>
                </td>
                <td>
                    <br />
                    <br />
                    <p align="center">
                        <asp:Image ID="imgFondo" runat="server" ImageUrl="~/img/fondo.jpg" />
                    </p>
                    <br />
                    <br />
                    <h2>
                        Contacto</h2>
                    <p style="font-weight: bolder" align="left">
                        RIELLO TDL s.l.
                        <br />
                        C/ Berguedà, 6 bis - Pol.Ind. Plà de la Bruguera 08211 Castellar del Vallès, Barcelona
                        <br />
                        Tel.: +34 (0)93 747 12 10 - Fax: +34 (0)93 714 65 62
                        <br />
                    </p>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
