﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FacturaImpr.aspx.cs" Inherits="Web.FacturaImpr" %>

<%@ Register Assembly="CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304"
    Namespace="CrystalDecisions.Web" TagPrefix="CR" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ObjectDataSource ID="odsFactura" runat="server" ConvertNullToDBNull="True" 
            onselecting="odsFactura_Selecting" SelectMethod="GetViewFacturaImpr" 
            TypeName="Negoci.FacturaBL">
            <SelectParameters>
                <asp:Parameter Name="numero" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsFacturaLin" runat="server" 
            onselecting="odsFacturaLin_Selecting" SelectMethod="GetViewFacturaLinByNumero" 
            TypeName="Negoci.FacturaBL">
            <SelectParameters>
                <asp:Parameter Name="numero" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsFacturaIva" runat="server" 
            onselecting="odsFacturaIva_Selecting" SelectMethod="GetFacturaIvaByNumero" 
            TypeName="Negoci.FacturaBL">
            <SelectParameters>
                <asp:Parameter Name="numero" Type="Int32" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <br />
        <CR:CrystalReportSource ID="crsFactura" runat="server">
            <Report FileName="reports\Factura.rpt">
                <DataSources>
                    <CR:DataSourceRef DataSourceID="odsFactura" 
                        TableName="Entitats_viewFacturaImpr" />
                    <CR:DataSourceRef DataSourceID="odsFacturaLin" 
                        TableName="Entitats_viewFacturaLin" />
                    <CR:DataSourceRef DataSourceID="odsFacturaIva" ReportName="detalle_iva" 
                        TableName="Entitats_FacturaIva" />
                </DataSources>
            </Report>
        </CR:CrystalReportSource>
    </div>
    </form>
</body>
</html>
