﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="Facturas.aspx.cs" Inherits="Web.Facturas" %>

<%@ Register assembly="CrystalDecisions.Web, Version=13.0.2000.0, Culture=neutral, PublicKeyToken=692fbea5521e1304" namespace="CrystalDecisions.Web" tagprefix="CR" %>

<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        function btnImprimirClick(numero) {
            //alert("Imprimiendo...");
            window.location.href("FacturaImpr.aspx?num=" + numero);

        }
    </script>
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="pageForm">
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <h2>
            Facturas</h2>
        <br />
        <asp:GridView ID="gvFacturas" runat="server" AutoGenerateColumns="False" CellPadding="4"
            DataSourceID="odsFacturas" ForeColor="#333333" GridLines="None">
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
            <Columns>
                <asp:BoundField DataField="numero" HeaderText="Factura" SortExpression="numero">
                    <ItemStyle HorizontalAlign="Center" Width="50px" />
                </asp:BoundField>
                <asp:BoundField DataField="cliente" HeaderText="DNI" SortExpression="cliente">
                    <ItemStyle Width="100px" />
                </asp:BoundField>
                <asp:BoundField DataField="login" HeaderText="login" SortExpression="login" Visible="False" />
                <asp:BoundField DataField="nombre" HeaderText="Nombre" SortExpression="nombre">
                    <ItemStyle Width="300px" />
                </asp:BoundField>
                <asp:BoundField DataField="fecha" HeaderText="Fecha" SortExpression="fecha">
                    <ItemStyle Width="100px" />
                </asp:BoundField>
                <asp:BoundField DataField="pedido" HeaderText="pedido" SortExpression="pedido" Visible="False" />
                <asp:BoundField DataField="total" HeaderText="Total Factura" SortExpression="total">
                    <ItemStyle Font-Bold="True" HorizontalAlign="Center" Width="100px" />
                </asp:BoundField>
                <asp:TemplateField>
                    <ItemTemplate>
                        <a onclick="btnImprimirClick('<%# Eval("numero") %>');">
                            <img alt="Imprimir" src="../icons/printer.png" /></a>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <EditRowStyle BackColor="#999999" />
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <SortedAscendingCellStyle BackColor="#E9E7E2" />
            <SortedAscendingHeaderStyle BackColor="#506C8C" />
            <SortedDescendingCellStyle BackColor="#FFFDF8" />
            <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
        </asp:GridView>
        <br />
        <asp:Button ID="btnVolver" runat="server" Text="Volver" 
            onclick="btnVolver_Click" />
        <asp:ObjectDataSource ID="odsFacturas" runat="server" OnSelecting="odsFacturas_Selecting"
            SelectMethod="GetViewFacturas" TypeName="Negoci.FacturaBL">
            <SelectParameters>
                <asp:Parameter Name="login" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
        <br />
        <br />
    </div>
</asp:Content>
