﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="ListArticuloDetalle.aspx.cs" Inherits="Web.ListArticuloDetalle" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">

        function btnAddCart(codigo) {
            PageMethods.addCarrito(codigo,
                function (res) {
                    if (res == 1) {
                        __doPostBack('UpdatePanel1', '');
                        return false;
                    }
                }
            );
            return false;
        }

        function btnAddCantClick(codigo) {
            PageMethods.addCantidad(codigo,
                function (res) {
                    if (res == 1) {
                        __doPostBack('UpdatePanel1', '');
                        return false;
                    }
                }
            );
            return false;
        }

        function btnEliminarCantClick(codigo) {
            PageMethods.restarCantidad(codigo,
                function (res) {
                    if (res == 1)
                        __doPostBack('UpdatePanel1', '');
                }
            );
        }

    </script>
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true">
    </asp:ScriptManager>
    <div class="pageForm">
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <table width="100%">
            <tr>
                <td valign="top" width="20%">
                    <div id="divLeft" class="left">
                        <asp:Panel ID="pnlLeft" runat="server" Height="100%">
                            <asp:Panel ID="pnlCarrito" runat="server" BorderColor="#666666" BorderStyle="Solid"
                                HorizontalAlign="Center">
                                <asp:UpdatePanel ID="UpdatePanel1" runat="server" OnLoad="UpdatePanel1_Load">
                                    <ContentTemplate>
                                        <table>
                                            <tr>
                                                <td align="left">
                                                    <asp:Label ID="lblCarrito" runat="server" Text="Cesta de la Compra"></asp:Label>
                                                    <asp:Image ID="imgCarrito" runat="server" ImageUrl="~/icons/basket.png" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:GridView ID="gvPedidoLin" runat="server" AutoGenerateColumns="False" CellPadding="4"
                                                        ForeColor="#333333" GridLines="None" Width="100px">
                                                        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                                                        <Columns>
                                                            <asp:BoundField DataField="id_pedido_lin" HeaderText="id_pedido_lin" SortExpression="id_pedido_lin"
                                                                Visible="False" />
                                                            <asp:BoundField DataField="pedido" HeaderText="pedido" SortExpression="pedido" Visible="False" />
                                                            <asp:BoundField DataField="articulo" HeaderText="Artículo" SortExpression="articulo">
                                                                <ItemStyle Width="75px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="cantidad" HeaderText="Cantidad" SortExpression="cantidad">
                                                                <ItemStyle Width="50px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="precio_iva" HeaderText="Precio" SortExpression="precio_iva">
                                                                <ItemStyle Width="75px" />
                                                            </asp:BoundField>
                                                            <asp:BoundField DataField="descuento" HeaderText="Dto." SortExpression="descuento">
                                                                <ItemStyle Width="50px" />
                                                            </asp:BoundField>
                                                            <asp:TemplateField>
                                                                <ItemTemplate>
                                                                    <%# btnAddCant(Eval("articulo"))%>
                                                                    <%--                                                                    <a onclick="btnAddCantClick('<%# Eval("articulo") %>'); ">
                                                                        <img alt="Añadir" src="../icons/add.png" /></a>--%>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                            <asp:TemplateField>
                                                                <ItemTemplate>
                                                                    <%# btnElimCant(Eval("articulo"))%>
                                                                    <%--                                                                    <a onclick="btnEliminarCantClick('<%# Eval("articulo") %>'); ">
                                                                        <img alt="Eliminar" src="../icons/delete.png" /></a>--%>
                                                                </ItemTemplate>
                                                            </asp:TemplateField>
                                                        </Columns>
                                                        <EditRowStyle BackColor="#999999" />
                                                        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                                                        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                                                        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                                        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                                                        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                                                        <SortedAscendingCellStyle BackColor="#E9E7E2" />
                                                        <SortedAscendingHeaderStyle BackColor="#506C8C" />
                                                        <SortedDescendingCellStyle BackColor="#FFFDF8" />
                                                        <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
                                                    </asp:GridView>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td align="left">
                                                    <br />
                                                    <asp:Label ID="lblNoHayLin" runat="server" Text="No hay ningún artículo en el carrito."
                                                        Font-Italic="True"></asp:Label>
                                                    <asp:Label ID="lblTotal" runat="server" Visible="False" Font-Bold="True"></asp:Label>
                                                    <asp:Button ID="btnComprar" runat="server" Text="COMPRAR" OnClick="btnComprar_Click" />
                                                    <asp:ConfirmButtonExtender ID="confComprar" runat="server" TargetControlID="btnComprar"
                                                        ConfirmText="¿Está seguro de realizar la compra del carrito?">
                                                    </asp:ConfirmButtonExtender>
                                                </td>
                                            </tr>
                                        </table>
                                    </ContentTemplate>
                                </asp:UpdatePanel>
                            </asp:Panel>
                            <br />
                            <asp:Panel ID="pnlMenu" runat="server">
                                <asp:Label ID="lblArticulos" runat="server" Text="Artículos" Font-Bold="True" Font-Underline="True"></asp:Label>
                                <br />
                                <asp:Menu ID="menu" runat="server" CssClass="menu" EnableViewState="False" IncludeStyleBlock="False"
                                    Width="100%">
                                    <Items>
                                    </Items>
                                </asp:Menu>
                                <br />
                                <br />
                                <asp:Label ID="lblInfo" runat="server" Text="Información" Font-Bold="True" Font-Underline="True"></asp:Label>
                                <br />
                                <asp:Menu ID="menu2" runat="server" CssClass="menu" EnableViewState="False" IncludeStyleBlock="False">
                                    <Items>
                                        <asp:MenuItem NavigateUrl="~/ComoComprar.aspx" Text="¿Cómo comprar?" Value="¿Cómo comprar?">
                                        </asp:MenuItem>
                                        <asp:MenuItem NavigateUrl="~/QueEs.aspx" Text="¿Que es un SAI?" Value="¿Que es un SAI?">
                                        </asp:MenuItem>
                                        <asp:MenuItem NavigateUrl="~/Contacto.aspx" Text="Contacto" Value="Contacto"></asp:MenuItem>
                                    </Items>
                                </asp:Menu>
                            </asp:Panel>
                        </asp:Panel>
                    </div>
                </td>
                <td valign="top">
                    <h2>
                        <asp:Label ID="lblTitulo" runat="server" Text="Detalle del Artículo"></asp:Label>
                    </h2>
                    <br />
                    <asp:FormView ID="fvArticulo" runat="server" DataSourceID="odsArticulo">
                        <ItemTemplate>
                            <table>
                                <tr>
                                    <td style="margin: 20px; padding: 20px;">
                                        <asp:Image ID="imgFoto" runat="server" ImageUrl='<%# Bind("ruta_foto") %>' BorderStyle="Solid" />
                                    </td>
                                    <td style="margin: 20px; padding: 20px;">
                                        <table>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="descripcionLabel" runat="server" Text='<%# Bind("descripcion") %>'
                                                        Font-Bold="True" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:Label ID="descripcion_largaLabel" runat="server" Text='<%# Bind("descripcion_larga") %>' />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <br />
                                                    <br />
                                                    <br />
                                                    <asp:Label ID="lblPrecio" runat="server" Text="Precio" AssociatedControlID="precio_ivaLabel"
                                                        Font-Bold="True" />
                                                    <asp:Label ID="precio_ivaLabel" runat="server" Text='<%# Bind("precio_iva") %>' />
                                                    <asp:Label ID="lblEur" runat="server" Text="€" Font-Bold="True" />
                                                    &nbsp;&nbsp;&nbsp;
                                                    <asp:Button ID="btnComprar" runat="server" Text="AÑADIR AL CARRITO" OnClick="btnComprar_Click1" />
                                                    &nbsp;&nbsp;&nbsp;
                                                    <asp:Label ID="lblStock" runat="server" Text="Stock" Font-Bold="True"></asp:Label>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                            <%--                            codigo:
                            <asp:Label ID="codigoLabel" runat="server" Text='<%# Bind("codigo") %>' />
                            <br />
                            descripcion:
                            <asp:Label ID="descripcionLabel" runat="server" Text='<%# Bind("descripcion") %>' />
                            <br />
                            descripcion_larga:
                            <asp:Label ID="descripcion_largaLabel" runat="server" Text='<%# Bind("descripcion_larga") %>' />
                            <br />
                            categoria:
                            <asp:Label ID="categoriaLabel" runat="server" Text='<%# Bind("categoria") %>' />
                            <br />
                            categoria_descripcion:
                            <asp:Label ID="categoria_descripcionLabel" runat="server" Text='<%# Bind("categoria_descripcion") %>' />
                            <br />
                            precio_iva:
                            <asp:Label ID="precio_ivaLabel" runat="server" Text='<%# Bind("precio_iva") %>' />
                            <br />
                            tipo_iva:
                            <asp:Label ID="tipo_ivaLabel" runat="server" Text='<%# Bind("tipo_iva") %>' />
                            <br />
                            tipo_iva_descripcion:
                            <asp:Label ID="tipo_iva_descripcionLabel" runat="server" Text='<%# Bind("tipo_iva_descripcion") %>' />
                            <br />
                            stock:
                            <asp:Label ID="stockLabel" runat="server" Text='<%# Bind("stock") %>' />
                            <br />
                            ruta_foto:
                            <asp:Label ID="ruta_fotoLabel" runat="server" Text='<%# Bind("ruta_foto") %>' />
                            <br />--%>
                        </ItemTemplate>
                    </asp:FormView>
                    <asp:ObjectDataSource ID="odsArticulo" runat="server" SelectMethod="GetViewArticulosByCodigo"
                        TypeName="Negoci.ArticuloBL" OnSelecting="odsArticulo_Selecting">
                        <SelectParameters>
                            <asp:Parameter Name="codigo" Type="String" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
