﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantArticuloDetalle.aspx.cs" Inherits="Web.MantArticuloDetalle" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div class="pageForm">
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <h2>
            Detalle del Artículo</h2>
        <br />
        <asp:Panel ID="pnlPlantilla" runat="server" Width="100%">
            <asp:FormView ID="fvArticulo" runat="server" DataSourceID="odsArticulo" DefaultMode="Edit"
                Width="100%">
                <EditItemTemplate>
                    <table width="100%">
                        <tr>
                            <td width="65%">
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCodigo" runat="server" Text="Código" Width="90px" AssociatedControlID="codigoTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="codigoTextBox" runat="server" Text='<%# Bind("codigo") %>' Width="100px"
                                                Enabled="false" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDescripcion" runat="server" Text="Descripción" Width="90px" AssociatedControlID="descripcionTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="descripcionTextBox" runat="server" Text='<%# Bind("descripcion") %>'
                                                Width="200px" /><asp:RequiredFieldValidator ID="rfvDescripción" runat="server" ErrorMessage="*"
                                                    ControlToValidate="descripcionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDescripcionLarga" runat="server" Text="Descripción Larga" Width="90px"
                                                AssociatedControlID="descripcion_largaTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="descripcion_largaTextBox" runat="server" Text='<%# Bind("descripcion_larga") %>'
                                                Width="600px" TextMode="MultiLine" Rows="5" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCategoria" runat="server" Text="Categoría" Width="90px" AssociatedControlID="ddlCategoria"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="categoriaTextBox" runat="server" Visible="false" Text='<%# Bind("categoria") %>' />
                                            <asp:DropDownList ID="ddlCategoria" runat="server" DataSourceID="odsCategorias" DataTextField="descripcion"
                                                DataValueField="codigo" Width="200px">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPrecio" runat="server" Text="Precio" Width="90px" AssociatedControlID="precio_ivaTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="precio_ivaTextBox" runat="server" Text='<%# Bind("precio_iva") %>'
                                                Width="100px" /><asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server"
                                                    ErrorMessage="*" ControlToValidate="precio_ivaTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblTipoIva" runat="server" Text="Tipo IVA" Width="90px" AssociatedControlID="ddlTipoIva"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="tipo_ivaTextBox" runat="server" Text='<%# Bind("tipo_iva") %>' Visible="false" />
                                            <asp:DropDownList ID="ddlTipoIva" runat="server" DataSourceID="odsTipoIva" DataTextField="descripcion"
                                                DataValueField="codigo" Width="100px">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblStock" runat="server" Text="Stock" Width="90px" AssociatedControlID="stockTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="stockTextBox" runat="server" Text='<%# Bind("stock") %>' Enabled="false"
                                                Width="50px" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td width="35%">
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblRutaFoto" runat="server" Text="Ruta Foto" Width="90px" AssociatedControlID="ruta_fotoTextBox"></asp:Label>
                                            <asp:TextBox ID="ruta_fotoTextBox" runat="server" Text='<%# Bind("ruta_foto") %>'
                                                Width="200px" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Image ID="imgFoto" runat="server" ImageUrl='<%# Bind("ruta_foto") %>' BorderStyle="Solid" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <br />
                    <asp:ConfirmButtonExtender ID="confDelete" runat="server" ConfirmText="Está seguro de eliminar el artículo?"
                        TargetControlID="DeleteButton">
                    </asp:ConfirmButtonExtender>
                    <asp:Button ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                        Text="Actualizar" />
                    &nbsp;<asp:Button ID="UpdateCancelButton" runat="server" CausesValidation="False"
                        CommandName="Cancel" Text="Cancelar" OnClick="UpdateCancelButton_Click" />
                    &nbsp;<asp:Button ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                        Text="Eliminar" />
                </EditItemTemplate>
                <InsertItemTemplate>
                    <table width="100%">
                        <tr>
                            <td width="65%">
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCodigo" runat="server" Text="Código" Width="90px" AssociatedControlID="codigoTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="codigoTextBox" runat="server" Text='<%# Bind("codigo") %>' Width="100px"
                                                Enabled="false" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDescripcion" runat="server" Text="Descripción" Width="90px" AssociatedControlID="descripcionTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="descripcionTextBox" runat="server" Text='<%# Bind("descripcion") %>'
                                                Width="200px" /><asp:RequiredFieldValidator ID="rfvDescripción" runat="server" ErrorMessage="*"
                                                    ControlToValidate="descripcionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDescripcionLarga" runat="server" Text="Descripción Larga" Width="90px"
                                                AssociatedControlID="descripcion_largaTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="descripcion_largaTextBox" runat="server" Text='<%# Bind("descripcion_larga") %>'
                                                Width="600px" TextMode="MultiLine" Rows="5" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCategoria" runat="server" Text="Categoría" Width="90px" AssociatedControlID="ddlCategoria"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="categoriaTextBox" runat="server" Visible="false" Text='<%# Bind("categoria") %>' />
                                            <asp:DropDownList ID="ddlCategoria" runat="server" DataSourceID="odsCategorias" DataTextField="descripcion"
                                                DataValueField="codigo" Width="200px">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPrecio" runat="server" Text="Precio" Width="90px" AssociatedControlID="precio_ivaTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="precio_ivaTextBox" runat="server" Text='<%# Bind("precio_iva") %>'
                                                Width="100px" /><asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server"
                                                    ErrorMessage="*" ControlToValidate="precio_ivaTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblTipoIva" runat="server" Text="Tipo IVA" Width="90px" AssociatedControlID="ddlTipoIva"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="tipo_ivaTextBox" runat="server" Text='<%# Bind("tipo_iva") %>' Visible="false" />
                                            <asp:DropDownList ID="ddlTipoIva" runat="server" DataSourceID="odsTipoIva" DataTextField="descripcion"
                                                DataValueField="codigo" Width="100px">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblStock" runat="server" Text="Stock" Width="90px" AssociatedControlID="stockTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="stockTextBox" runat="server" Text='<%# Bind("stock") %>' Enabled="false"
                                                Width="50px" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td width="35%">
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Image ID="imgFoto" runat="server" ImageUrl='<%# Bind("ruta_foto") %>' BorderStyle="Solid" />
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblRutaFoto" runat="server" Text="Ruta Foto" Width="90px" AssociatedControlID="ruta_fotoTextBox"></asp:Label>
                                            <asp:TextBox ID="ruta_fotoTextBox" runat="server" Text='<%# Bind("ruta_foto") %>'
                                                Width="200px" />
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <br />
                    <asp:Button ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                        Text="Insertar" />
                    &nbsp;<asp:Button ID="InsertCancelButton" runat="server" CausesValidation="False"
                        CommandName="Cancel" Text="Cancelar" OnClick="InsertCancelButton_Click" />
                </InsertItemTemplate>
                <ItemTemplate>
                    codigo:
                    <asp:Label ID="codigoLabel" runat="server" Text='<%# Bind("codigo") %>' />
                    <br />
                    descripcion:
                    <asp:Label ID="descripcionLabel" runat="server" Text='<%# Bind("descripcion") %>' />
                    <br />
                    descripcion_larga:
                    <asp:Label ID="descripcion_largaLabel" runat="server" Text='<%# Bind("descripcion_larga") %>' />
                    <br />
                    categoria:
                    <asp:Label ID="categoriaLabel" runat="server" Text='<%# Bind("categoria") %>' />
                    <br />
                    precio_iva:
                    <asp:Label ID="precio_ivaLabel" runat="server" Text='<%# Bind("precio_iva") %>' />
                    <br />
                    tipo_iva:
                    <asp:Label ID="tipo_ivaLabel" runat="server" Text='<%# Bind("tipo_iva") %>' />
                    <br />
                    stock:
                    <asp:Label ID="stockLabel" runat="server" Text='<%# Bind("stock") %>' />
                    <br />
                    ruta_foto:
                    <asp:Label ID="ruta_fotoLabel" runat="server" Text='<%# Bind("ruta_foto") %>' />
                    <br />
                    Categoria1:
                    <asp:Label ID="Categoria1Label" runat="server" Text='<%# Bind("Categoria1") %>' />
                    <br />
                    TipoIva:
                    <asp:Label ID="TipoIvaLabel" runat="server" Text='<%# Bind("TipoIva") %>' />
                    <br />
                    FacturaLin:
                    <asp:Label ID="FacturaLinLabel" runat="server" Text='<%# Bind("FacturaLin") %>' />
                    <br />
                    PedidoLin:
                    <asp:Label ID="PedidoLinLabel" runat="server" Text='<%# Bind("PedidoLin") %>' />
                    <br />
                    Movimiento:
                    <asp:Label ID="MovimientoLabel" runat="server" Text='<%# Bind("Movimiento") %>' />
                    <br />
                    <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                        Text="Editar" />
                    &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                        Text="Nuevo" />
                </ItemTemplate>
            </asp:FormView>
            <asp:ObjectDataSource ID="odsArticulo" runat="server" OnSelecting="odsArticulo_Selecting"
                SelectMethod="GetArticuloByCodigo" TypeName="Negoci.ArticuloBL" UpdateMethod="UpdateArticulo"
                OnInserted="odsArticulo_Inserted" OnUpdated="odsArticulo_Updated" OnInserting="odsArticulo_Inserting"
                OnUpdating="odsArticulo_Updating" DeleteMethod="DeleteArticulo" InsertMethod="InsertArticulo"
                OnDeleted="odsArticulo_Deleted" OnDeleting="odsArticulo_Deleting">
                <DeleteParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                    <asp:Parameter Name="descripcion" Type="String" />
                    <asp:Parameter Name="descripcion_larga" Type="String" />
                    <asp:Parameter Name="categoria" Type="String" />
                    <asp:Parameter Name="precio_iva" Type="Decimal" />
                    <asp:Parameter Name="tipo_iva" Type="String" />
                    <asp:Parameter Name="stock" Type="Int32" />
                    <asp:Parameter Name="ruta_foto" Type="String" />
                </InsertParameters>
                <SelectParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                </SelectParameters>
                <UpdateParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                    <asp:Parameter Name="descripcion" Type="String" />
                    <asp:Parameter Name="descripcion_larga" Type="String" />
                    <asp:Parameter Name="categoria" Type="String" />
                    <asp:Parameter Name="precio_iva" Type="Decimal" />
                    <asp:Parameter Name="tipo_iva" Type="String" />
                    <asp:Parameter Name="stock" Type="Int32" />
                    <asp:Parameter Name="ruta_foto" Type="String" />
                </UpdateParameters>
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsCategorias" runat="server" SelectMethod="GetCategorias"
                TypeName="Negoci.CategoriaBL"></asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsTipoIva" runat="server" SelectMethod="GetTipoIva" TypeName="Negoci.TipoIvaBL">
            </asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
