﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantArticulos.aspx.cs" Inherits="Web.MantArticulos" %>

<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        function btnEditarClick(codigo) {
            location.href = "MantArticuloDetalle.aspx?op=edit&cod=" + codigo
        }
    </script>
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="pageForm">
        <h2>
            Mantenimiento de Artículos</h2>
        <asp:Panel ID="pnlBuscador" runat="server">
            <br />
            <asp:Label ID="lblCategoria" runat="server" Text="Categoría" AssociatedControlID="ddlCategorias"
                Width="90px"></asp:Label>
            <asp:DropDownList ID="ddlCategorias" runat="server" Width="200px" DataSourceID="odsCategorias"
                DataTextField="descripcion" DataValueField="codigo" AutoPostBack="True" OnSelectedIndexChanged="ddlCategorias_SelectedIndexChanged">
            </asp:DropDownList>
            <br />
            <asp:ObjectDataSource ID="odsCategorias" runat="server" SelectMethod="GetCategoriasNoEnvio"
                TypeName="Negoci.CategoriaBL"></asp:ObjectDataSource>
            <br />
            <asp:Button ID="btnNuevo" runat="server" OnClick="btnNuevo_Click" Text="Nuevo" />
            <br />
            <br />
        </asp:Panel>
        <asp:Panel ID="pnlGrid" runat="server">
            <asp:GridView ID="gvArticulos" runat="server" AutoGenerateColumns="False" CellPadding="4"
                DataSourceID="odsArticulos" ForeColor="#333333" GridLines="None" Width="100%"
                AllowPaging="True" OnPageIndexChanging="gvArticulos_PageIndexChanging">
                <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                <Columns>
                    <asp:BoundField DataField="codigo" HeaderText="Código" SortExpression="codigo">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcion" HeaderText="Descripción" SortExpression="descripcion" />
                    <asp:BoundField DataField="descripcion_larga" HeaderText="descripcion_larga" SortExpression="descripcion_larga"
                        Visible="False" />
                    <asp:BoundField DataField="categoria" HeaderText="categoria" SortExpression="categoria"
                        Visible="False" />
                    <asp:BoundField DataField="categoria_descripcion" HeaderText="Categoría" SortExpression="categoria_descripcion">
                        <ItemStyle Width="200px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="precio_iva" HeaderText="Precio" SortExpression="precio_iva">
                        <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="tipo_iva" HeaderText="tipo_iva" SortExpression="tipo_iva"
                        Visible="False" />
                    <asp:BoundField DataField="tipo_iva_descripcion" HeaderText="Tipo IVA" SortExpression="tipo_iva_descripcion">
                        <ItemStyle Width="50px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="stock" HeaderText="Stock" SortExpression="stock">
                        <ItemStyle Width="75px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="ruta_foto" HeaderText="ruta_foto" SortExpression="ruta_foto"
                        Visible="False" />
                    <asp:TemplateField>
                        <ItemTemplate>
                            <a onclick="btnEditarClick('<%# Eval("codigo") %>');">
                                <img alt="Editar" src="../icons/pencil.png" /></a>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <EditRowStyle BackColor="#999999" />
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <PagerSettings Mode="NumericFirstLast" />
                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                <SortedAscendingCellStyle BackColor="#E9E7E2" />
                <SortedAscendingHeaderStyle BackColor="#506C8C" />
                <SortedDescendingCellStyle BackColor="#FFFDF8" />
                <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
            </asp:GridView>
            <br />
            <asp:Button ID="btnVolver" runat="server" Text="Volver" OnClick="btnVolver_Click" />
            <asp:ObjectDataSource ID="odsArticulos" runat="server" OnSelecting="odsArticulos_Selecting"
                SelectMethod="GetViewArticulosByCategoria" TypeName="Negoci.ArticuloBL" DeleteMethod="DeleteArticulo">
                <DeleteParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                </DeleteParameters>
                <SelectParameters>
                    <asp:Parameter Name="codi_categoria" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
