﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantCategoriaDetalle.aspx.cs" Inherits="Web.MantCategoriaDetalle" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div class="pageForm">
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <h2>
            Edición de la Categoría</h2>
        <br />
        <asp:Panel ID="pnlPlantilla" runat="server">
            <asp:FormView ID="fvCategoria" runat="server" DataSourceID="odsCategoria" DefaultMode="Edit">
                <EditItemTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblCodigo" runat="server" Text="Código" Width="90px" AssociatedControlID="codigoTextBox"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="codigoTextBox" runat="server" Text='<%# Bind("codigo") %>' Width="100px"
                                    Enabled="false" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripción" Width="90px" AssociatedControlID="descripcionTextBox"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="descripcionTextBox" runat="server" Text='<%# Bind("descripcion") %>'
                                    Width="200px" /><asp:RequiredFieldValidator ID="rfvDescripción" runat="server" ErrorMessage="*"
                                        ControlToValidate="descripcionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <br />
                    <asp:ConfirmButtonExtender ID="confDelete" runat="server" ConfirmText="Está seguro de eliminar la categoría?"
                        TargetControlID="DeleteButton">
                    </asp:ConfirmButtonExtender>
                    <asp:Button ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                        Text="Actualizar" />
                    &nbsp;<asp:Button ID="UpdateCancelButton" runat="server" CausesValidation="False"
                        CommandName="Cancel" Text="Cancelar" OnClick="UpdateCancelButton_Click" />
                    &nbsp;<asp:Button ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                        Text="Eliminar" />
                </EditItemTemplate>
                <InsertItemTemplate>
                                        <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblCodigo" runat="server" Text="Código" Width="90px" AssociatedControlID="codigoTextBox"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="codigoTextBox" runat="server" Text='<%# Bind("codigo") %>' Width="100px"
                                    Enabled="false" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblDescripcion" runat="server" Text="Descripción" Width="90px" AssociatedControlID="descripcionTextBox"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="descripcionTextBox" runat="server" Text='<%# Bind("descripcion") %>'
                                    Width="200px" /><asp:RequiredFieldValidator ID="rfvDescripción" runat="server" ErrorMessage="*"
                                        ControlToValidate="descripcionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                            </td>
                        </tr>
                    </table>
                    <br />
                    <br />
                    <asp:Button ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                        Text="Insertar" />
                    &nbsp;<asp:Button ID="InsertCancelButton" runat="server" CausesValidation="False"
                        CommandName="Cancel" Text="Cancelar" OnClick="InsertCancelButton_Click" />
                </InsertItemTemplate>
                <ItemTemplate>
                    codigo:
                    <asp:Label ID="codigoLabel" runat="server" Text='<%# Bind("codigo") %>' />
                    <br />
                    descripcion:
                    <asp:Label ID="descripcionLabel" runat="server" Text='<%# Bind("descripcion") %>' />
                    <br />
                </ItemTemplate>
            </asp:FormView>
            <asp:ObjectDataSource ID="odsCategoria" runat="server" SelectMethod="GetCategoriaoByCodigo"
                TypeName="Negoci.CategoriaBL" OnSelecting="odsCategoria_Selecting" InsertMethod="InsertCategoria"
                UpdateMethod="UpdateCategoria" OnDeleted="odsCategoria_Deleted" OnDeleting="odsCategoria_Deleting"
                OnInserted="odsCategoria_Inserted" OnUpdated="odsCategoria_Updated">
                <InsertParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                    <asp:Parameter Name="descripcion" Type="String" />
                </InsertParameters>
                <SelectParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                </SelectParameters>
                <UpdateParameters>
                    <asp:Parameter Name="codigo" Type="String" />
                    <asp:Parameter Name="descripcion" Type="String" />
                </UpdateParameters>
            </asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
