﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Web
{
    public partial class MantCategoriaDetalle : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                string op = Request.Params["op"];

                if (op == "edit")
                {
                    fvCategoria.DefaultMode = FormViewMode.Edit;
                    fvCategoria.DataBind();
                }
                else if (op == "new")
                {
                    fvCategoria.DefaultMode = FormViewMode.Insert;
                }
            }

        }

        protected void odsCategoria_Selecting(object sender, ObjectDataSourceSelectingEventArgs e)
        {
            string cod = Request.Params["cod"];

            e.InputParameters["codigo"] = cod;
        }

        protected void UpdateCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("MantCategorias.aspx");
        }

        protected void InsertCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("MantCategorias.aspx");
        }

        protected void odsCategoria_Deleting(object sender, ObjectDataSourceMethodEventArgs e)
        {
            e.InputParameters["codigo"] = ((TextBox)(fvCategoria.FindControl("codigoTextBox"))).Text;
        }

        protected void odsCategoria_Deleted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (Convert.ToInt32(e.ReturnValue) != 0)
                Response.Redirect("MantCategorias.aspx");
            else
            {
                pnlMessage.Visible = true;
                lblMessage.Text = "Error al eliminar la categoría";
            }
        }

        protected void odsCategoria_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (Convert.ToInt32(e.ReturnValue) != 0)
                Response.Redirect("MantCategorias.aspx");
            else
            {
                pnlMessage.Visible = true;
                lblMessage.Text = "Error al insertar la categoría";
            }
        }

        protected void odsCategoria_Updated(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (Convert.ToInt32(e.ReturnValue) != 0)
                Response.Redirect("MantCategorias.aspx");
            else
            {
                pnlMessage.Visible = true;
                lblMessage.Text = "Error al modificar la categoría";
            }
        }


    }
}