﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantMovimStock.aspx.cs" Inherits="Web.MantMovimStock" %>

<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="pageForm">
        <h2>
            Movimientos de Stock</h2>
        <asp:Panel ID="pnlBuscador" runat="server">
        <br />
            <asp:Label ID="lblArticulo" runat="server" Text="Artículo" AssociatedControlID="tbArticulo"
                Width="90px"></asp:Label>
            <asp:TextBox ID="tbArticulo" runat="server" Width="100px"></asp:TextBox>
            <br />
            <br />
            <asp:Button ID="btnBuscar" runat="server" Text="Buscar" OnClick="btnBuscar_Click" />
            &nbsp;&nbsp;&nbsp;
            <asp:Button ID="btnNuevo" runat="server" OnClick="btnNuevo_Click" Text="Nuevo" />
            <br />
            <br />
        </asp:Panel>
        <asp:Panel ID="pnlGrid" runat="server">
            <asp:GridView ID="gvMovim" runat="server" AutoGenerateColumns="False" 
                CellPadding="4" DataSourceID="odsMovim" ForeColor="#333333" 
                GridLines="None" AllowPaging="True" 
                onpageindexchanging="gvMovim_PageIndexChanging">
                <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                <Columns>
                    <asp:BoundField DataField="id_mov" HeaderText="id_mov" 
                        SortExpression="id_mov" Visible="False" />
                    <asp:BoundField DataField="articulo" HeaderText="Artículo" 
                        SortExpression="articulo" >
                    <ItemStyle Width="150px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="tipo_mov_desc" HeaderText="Tipo" 
                        SortExpression="tipo_mov_desc" >
                    <ItemStyle Width="50px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="tipo_mov_descrip" HeaderText="Descripción" 
                        SortExpression="tipo_mov_descrip" >
                    <ItemStyle Width="200px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="tipo_mov" HeaderText="tipo_mov" 
                        SortExpression="tipo_mov" Visible="False" />
                    <asp:BoundField DataField="cantidad" HeaderText="Cantidad" 
                        SortExpression="cantidad" >
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="precio_iva" HeaderText="Precio" 
                        SortExpression="precio_iva" >
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="fecha" HeaderText="Fecha" SortExpression="fecha" >
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                </Columns>
                <EditRowStyle BackColor="#999999" />
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <PagerSettings Mode="NumericFirstLast" />
                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                <SortedAscendingCellStyle BackColor="#E9E7E2" />
                <SortedAscendingHeaderStyle BackColor="#506C8C" />
                <SortedDescendingCellStyle BackColor="#FFFDF8" />
                <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
            </asp:GridView>
            <br />
            <asp:Button ID="btnVolver" runat="server" Text="Vovler" 
                onclick="btnVolver_Click" />

            <asp:ObjectDataSource ID="odsMovim" runat="server" 
                onselecting="odsMovim_Selecting" SelectMethod="GetViewMovimiento" 
                TypeName="Negoci.MovimientoBL">
                <SelectParameters>
                    <asp:Parameter Name="articulo" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
