﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Web
{
    public partial class MantUsuarioDetalle : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {

                fvUsuario.DefaultMode = FormViewMode.Edit;
                fvUsuario.DataBind();

                fvCliente.DefaultMode = FormViewMode.ReadOnly;
                fvCliente.DataBind();

                //Cargamos el combo del perfil
                ((DropDownList)(fvUsuario.FindControl("ddlPerfil"))).SelectedValue = ((TextBox)(fvUsuario.FindControl("perfilTextBox"))).Text;            
            }
        }

        protected void odsUsuario_Selecting(object sender, ObjectDataSourceSelectingEventArgs e)
        {
            string login = Request.Params["login"];

            e.InputParameters["login"] = login;
        }

        protected void UpdateCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("MantUsuarios.aspx");
        }

        protected void odsCliente_Selecting(object sender, ObjectDataSourceSelectingEventArgs e)
        {
            string login = Request.Params["login"];

            e.InputParameters["login"] = login;
        }

        protected void odsUsuario_Updated(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (Convert.ToInt32(e.ReturnValue) != 0)
                Response.Redirect("MantUsuarios.aspx");
            else
            {
                pnlMessage.Visible = true;
                lblMessage.Text = "Error al modificar el usuario";
            }
        }

        protected void odsUsuario_Updating(object sender, ObjectDataSourceMethodEventArgs e)
        {
            e.InputParameters["perfil"] = ((DropDownList)(fvUsuario.FindControl("ddlPerfil"))).SelectedValue;
        }
    }
}