﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MiCuenta.aspx.cs" Inherits="Web.MiCuenta" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="pageForm">
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <h2>
            Mi Cuenta</h2>
        <asp:FormView ID="fvCliente" runat="server" DataSourceID="odsCliente" DefaultMode="Edit">
            <EditItemTemplate>
                <table>
                    <tr>
                        <td>
                            <fieldset>
                                <legend>Datos Personales</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDni" runat="server" Text="DNI" Width="90px" AssociatedControlID="dniTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="dniTextBox" runat="server" Text='<%# Bind("dni") %>' Width="100px" />
                                            <asp:RequiredFieldValidator ID="rfvDni" runat="server" ErrorMessage="*" ControlToValidate="dniTextBox"
                                                Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNombre" runat="server" Text="Nombre" Width="90px" AssociatedControlID="nombreTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="nombreTextBox" runat="server" Text='<%# Bind("nombre") %>' Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*"
                                                ControlToValidate="nombreTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblApellido1" runat="server" Text="1r Apellido" Width="90px" AssociatedControlID="apellido1TextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="apellido1TextBox" runat="server" Text='<%# Bind("apellido1") %>'
                                                Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="*"
                                                ControlToValidate="apellido1TextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblApellido2" runat="server" Text="2do Apellido" Width="90px" AssociatedControlID="apellido2TextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="apellido2TextBox" runat="server" Text='<%# Bind("apellido2") %>'
                                                Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="*"
                                                ControlToValidate="apellido2TextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblTelefono" runat="server" Text="Teléfono" Width="90px" AssociatedControlID="telefonoTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="telefonoTextBox" runat="server" Text='<%# Bind("telefono") %>' Width="100px" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblMovil" runat="server" Text="Móvil" Width="90px" AssociatedControlID="movilTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="movilTextBox" runat="server" Text='<%# Bind("movil") %>' Width="100px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="*"
                                                ControlToValidate="movilTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblEmail" runat="server" Text="E-mail" Width="90px" AssociatedControlID="emailTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="emailTextBox" runat="server" Text='<%# Bind("email") %>' Width="200px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="*"
                                                ControlToValidate="emailTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <fieldset>
                                <legend>Dirección</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDirección" runat="server" Text="Dirección" Width="90px" AssociatedControlID="ddlTipoVia"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlTipoVia" runat="server" DataSourceID="odsTipoVia" DataTextField="descripcion"
                                                DataValueField="codigo" Width="75px" SelectedValue='<%# Bind("tipo_via") %>'>
                                            </asp:DropDownList>
                                            <asp:TextBox ID="direccionTextBox" runat="server" Text='<%# Bind("direccion") %>'
                                                Width="200" TextMode="MultiLine" Rows="2" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="*"
                                                ControlToValidate="direccionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCp" runat="server" Text="Código Postal" Width="90px" AssociatedControlID="cpTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="cpTextBox" runat="server" Text='<%# Bind("cp") %>' Width="75px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ErrorMessage="*"
                                                ControlToValidate="cpTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPoblacion" runat="server" Text="Población" Width="90px" AssociatedControlID="poblacionTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="poblacionTextBox" runat="server" Text='<%# Bind("poblacion") %>'
                                                Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ErrorMessage="*"
                                                ControlToValidate="poblacionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPais" runat="server" Text="País" Width="90px" AssociatedControlID="paisTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="paisTextBox" runat="server" Text='<%# Bind("pais") %>' Width="100px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ErrorMessage="*"
                                                ControlToValidate="paisTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                        <td valign="top">
                            <fieldset>
                                <legend>Dirección de Envío</legend>
                                <table>
                                    <tr>
                                        <td colspan="2">
                                            <asp:Button ID="btnCopiarDir" runat="server" CausesValidation="False" Text="Copiar Dirección"
                                                OnClick="btnCopiarDir_Click" Width="150px" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDireccionEnv" runat="server" Text="Dirección" Width="90px" AssociatedControlID="ddlTipoViaEnv"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlTipoViaEnv" runat="server" DataSourceID="odsTipoVia" DataTextField="descripcion"
                                                DataValueField="codigo" Width="75px" SelectedValue='<%# Bind("tipo_via_env") %>'>
                                            </asp:DropDownList>
                                            <asp:TextBox ID="direccion_envTextBox" runat="server" Text='<%# Bind("direccion_env") %>'
                                                TextMode="MultiLine" Rows="2" Width="200px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ErrorMessage="*"
                                                ControlToValidate="direccion_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCpEnv" runat="server" Text="Código Postal" Width="90px" AssociatedControlID="cp_envTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="cp_envTextBox" runat="server" Text='<%# Bind("cp_env") %>' Width="75px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator11" runat="server" ErrorMessage="*"
                                                ControlToValidate="cp_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPoblacionEnv" runat="server" Text="Población" Width="90px" AssociatedControlID="poblacion_envTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="poblacion_envTextBox" runat="server" Text='<%# Bind("poblacion_env") %>'
                                                Width="300" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator12" runat="server" ErrorMessage="*"
                                                ControlToValidate="poblacion_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPaisEnv" runat="server" Text="País" Width="90px" AssociatedControlID="pais_envTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="pais_envTextBox" runat="server" Text='<%# Bind("pais_env") %>' Width="200px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator13" runat="server" ErrorMessage="*"
                                                ControlToValidate="pais_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>
                <br />
                <asp:Button ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                    Text="Actualizar" />
                &nbsp;<asp:Button ID="UpdateCancelButton" runat="server" CausesValidation="False"
                    CommandName="Cancel" Text="Cancelar" OnClick="UpdateCancelButton_Click" />
                &nbsp;<asp:Button ID="btnVerFacturas" runat="server" CausesValidation="False" Text="Ver Facturas"
                    OnClick="btnVerFacturas_Click" />
                &nbsp;<asp:Button ID="btnCambiarPassword" runat="server" CausesValidation="False"
                    Text="Cambiar Contraseña" OnClick="btnCambiarPassword_Click" />
            </EditItemTemplate>
            <InsertItemTemplate>
                <table>
                    <tr>
                        <td>
                            <fieldset>
                                <legend>Datos Personales</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDni" runat="server" Text="DNI" Width="90px" AssociatedControlID="dniTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="dniTextBox" runat="server" Text='<%# Bind("dni") %>' Width="100px" />
                                            <asp:RequiredFieldValidator ID="rfvDni" runat="server" ErrorMessage="*" ControlToValidate="dniTextBox"
                                                Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNombre" runat="server" Text="Nombre" Width="90px" AssociatedControlID="nombreTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="nombreTextBox" runat="server" Text='<%# Bind("nombre") %>' Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*"
                                                ControlToValidate="nombreTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblApellido1" runat="server" Text="1r Apellido" Width="90px" AssociatedControlID="apellido1TextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="apellido1TextBox" runat="server" Text='<%# Bind("apellido1") %>'
                                                Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="*"
                                                ControlToValidate="apellido1TextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblApellido2" runat="server" Text="2do Apellido" Width="90px" AssociatedControlID="apellido2TextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="apellido2TextBox" runat="server" Text='<%# Bind("apellido2") %>'
                                                Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ErrorMessage="*"
                                                ControlToValidate="apellido2TextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblTelefono" runat="server" Text="Teléfono" Width="90px" AssociatedControlID="telefonoTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="telefonoTextBox" runat="server" Text='<%# Bind("telefono") %>' Width="100px" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblMovil" runat="server" Text="Móvil" Width="90px" AssociatedControlID="movilTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="movilTextBox" runat="server" Text='<%# Bind("movil") %>' Width="100px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="*"
                                                ControlToValidate="movilTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblEmail" runat="server" Text="E-mail" Width="90px" AssociatedControlID="emailTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="emailTextBox" runat="server" Text='<%# Bind("email") %>' Width="200px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="*"
                                                ControlToValidate="emailTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            <fieldset>
                                <legend>Dirección</legend>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDirección" runat="server" Text="Dirección" Width="90px" AssociatedControlID="ddlTipoVia"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlTipoVia" runat="server" DataSourceID="odsTipoVia" DataTextField="descripcion"
                                                DataValueField="codigo" Width="75px" SelectedValue='<%# Bind("tipo_via") %>'>
                                            </asp:DropDownList>
                                            <asp:TextBox ID="direccionTextBox" runat="server" Text='<%# Bind("direccion") %>'
                                                Width="200" TextMode="MultiLine" Rows="2" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="*"
                                                ControlToValidate="direccionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCp" runat="server" Text="Código Postal" Width="90px" AssociatedControlID="cpTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="cpTextBox" runat="server" Text='<%# Bind("cp") %>' Width="75px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ErrorMessage="*"
                                                ControlToValidate="cpTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPoblacion" runat="server" Text="Población" Width="90px" AssociatedControlID="poblacionTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="poblacionTextBox" runat="server" Text='<%# Bind("poblacion") %>'
                                                Width="300px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator8" runat="server" ErrorMessage="*"
                                                ControlToValidate="poblacionTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPais" runat="server" Text="País" Width="90px" AssociatedControlID="paisTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="paisTextBox" runat="server" Text='<%# Bind("pais") %>' Width="100px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator9" runat="server" ErrorMessage="*"
                                                ControlToValidate="paisTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                        <td valign="top">
                            <fieldset>
                                <legend>Dirección de Envío</legend>
                                <table>
                                    <tr>
                                        <td colspan="2">
                                            <asp:Button ID="btnCopiarDir" runat="server" CausesValidation="False" Text="Copiar Dirección"
                                                OnClick="btnCopiarDir_Click" Width="150px" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDireccionEnv" runat="server" Text="Dirección" Width="90px" AssociatedControlID="ddlTipoViaEnv"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlTipoViaEnv" runat="server" DataSourceID="odsTipoVia" DataTextField="descripcion"
                                                DataValueField="codigo" Width="75px" SelectedValue='<%# Bind("tipo_via_env") %>'>
                                            </asp:DropDownList>
                                            <asp:TextBox ID="direccion_envTextBox" runat="server" Text='<%# Bind("direccion_env") %>'
                                                TextMode="MultiLine" Rows="2" Width="200px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ErrorMessage="*"
                                                ControlToValidate="direccion_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblCpEnv" runat="server" Text="Código Postal" Width="90px" AssociatedControlID="cp_envTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="cp_envTextBox" runat="server" Text='<%# Bind("cp_env") %>' Width="75px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator11" runat="server" ErrorMessage="*"
                                                ControlToValidate="cp_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPoblacionEnv" runat="server" Text="Población" Width="90px" AssociatedControlID="poblacion_envTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="poblacion_envTextBox" runat="server" Text='<%# Bind("poblacion_env") %>'
                                                Width="300" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator12" runat="server" ErrorMessage="*"
                                                ControlToValidate="poblacion_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblPaisEnv" runat="server" Text="País" Width="90px" AssociatedControlID="pais_envTextBox"></asp:Label>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="pais_envTextBox" runat="server" Text='<%# Bind("pais_env") %>' Width="200px" />
                                            <asp:RequiredFieldValidator ID="RequiredFieldValidator13" runat="server" ErrorMessage="*"
                                                ControlToValidate="pais_envTextBox" Font-Bold="True" ForeColor="Red"></asp:RequiredFieldValidator>
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>
                <br />
                <asp:Button ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                    Text="Insertar" />
                &nbsp;<asp:Button ID="InsertCancelButton" runat="server" CausesValidation="False"
                    CommandName="Cancel" Text="Lo llenaré más tarde" OnClick="InsertCancelButton_Click" />
            </InsertItemTemplate>
            <ItemTemplate>
                dni:
                <asp:Label ID="dniLabel" runat="server" Text='<%# Bind("dni") %>' />
                <br />
                nombre:
                <asp:Label ID="nombreLabel" runat="server" Text='<%# Bind("nombre") %>' />
                <br />
                apellido1:
                <asp:Label ID="apellido1Label" runat="server" Text='<%# Bind("apellido1") %>' />
                <br />
                apellido2:
                <asp:Label ID="apellido2Label" runat="server" Text='<%# Bind("apellido2") %>' />
                <br />
                tipo_via:
                <asp:Label ID="tipo_viaLabel" runat="server" Text='<%# Bind("tipo_via") %>' />
                <br />
                direccion:
                <asp:Label ID="direccionLabel" runat="server" Text='<%# Bind("direccion") %>' />
                <br />
                cp:
                <asp:Label ID="cpLabel" runat="server" Text='<%# Bind("cp") %>' />
                <br />
                poblacion:
                <asp:Label ID="poblacionLabel" runat="server" Text='<%# Bind("poblacion") %>' />
                <br />
                pais:
                <asp:Label ID="paisLabel" runat="server" Text='<%# Bind("pais") %>' />
                <br />
                tipo_via_env:
                <asp:Label ID="tipo_via_envLabel" runat="server" Text='<%# Bind("tipo_via_env") %>' />
                <br />
                direccion_env:
                <asp:Label ID="direccion_envLabel" runat="server" Text='<%# Bind("direccion_env") %>' />
                <br />
                cp_env:
                <asp:Label ID="cp_envLabel" runat="server" Text='<%# Bind("cp_env") %>' />
                <br />
                poblacion_env:
                <asp:Label ID="poblacion_envLabel" runat="server" Text='<%# Bind("poblacion_env") %>' />
                <br />
                pais_env:
                <asp:Label ID="pais_envLabel" runat="server" Text='<%# Bind("pais_env") %>' />
                <br />
                telefono:
                <asp:Label ID="telefonoLabel" runat="server" Text='<%# Bind("telefono") %>' />
                <br />
                movil:
                <asp:Label ID="movilLabel" runat="server" Text='<%# Bind("movil") %>' />
                <br />
                email:
                <asp:Label ID="emailLabel" runat="server" Text='<%# Bind("email") %>' />
                <br />
                login:
                <asp:Label ID="loginLabel" runat="server" Text='<%# Bind("login") %>' />
                <br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                    Text="Editar" />
                &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                    Text="Nuevo" />
            </ItemTemplate>
        </asp:FormView>
        <asp:ObjectDataSource ID="odsCliente" runat="server" InsertMethod="InsertCliente"
            OnInserted="odsCliente_Inserted" OnSelecting="odsCliente_Selecting" OnUpdated="odsCliente_Updated"
            SelectMethod="GetClienteByLogin" TypeName="Negoci.UsuarioBL" UpdateMethod="UpdateCliente"
            OnDeleted="odsCliente_Deleted" OnDeleting="odsCliente_Deleting" OnInserting="odsCliente_Inserting"
            OnUpdating="odsCliente_Updating">
            <InsertParameters>
                <asp:Parameter Name="dni" Type="String" />
                <asp:Parameter Name="login" Type="String" />
                <asp:Parameter Name="nombre" Type="String" />
                <asp:Parameter Name="apellido1" Type="String" />
                <asp:Parameter Name="apellido2" Type="String" />
                <asp:Parameter Name="tipo_via" Type="String" />
                <asp:Parameter Name="direccion" Type="String" />
                <asp:Parameter Name="cp" Type="String" />
                <asp:Parameter Name="poblacion" Type="String" />
                <asp:Parameter Name="pais" Type="String" />
                <asp:Parameter Name="tipo_via_env" Type="String" />
                <asp:Parameter Name="direccion_env" Type="String" />
                <asp:Parameter Name="cp_env" Type="String" />
                <asp:Parameter Name="poblacion_env" Type="String" />
                <asp:Parameter Name="pais_env" Type="String" />
                <asp:Parameter Name="telefono" Type="String" />
                <asp:Parameter Name="movil" Type="String" />
                <asp:Parameter Name="email" Type="String" />
            </InsertParameters>
            <SelectParameters>
                <asp:Parameter Name="login" Type="String" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="dni" Type="String" />
                <asp:Parameter Name="login" Type="String" />
                <asp:Parameter Name="nombre" Type="String" />
                <asp:Parameter Name="apellido1" Type="String" />
                <asp:Parameter Name="apellido2" Type="String" />
                <asp:Parameter Name="tipo_via" Type="String" />
                <asp:Parameter Name="direccion" Type="String" />
                <asp:Parameter Name="cp" Type="String" />
                <asp:Parameter Name="poblacion" Type="String" />
                <asp:Parameter Name="pais" Type="String" />
                <asp:Parameter Name="tipo_via_env" Type="String" />
                <asp:Parameter Name="direccion_env" Type="String" />
                <asp:Parameter Name="cp_env" Type="String" />
                <asp:Parameter Name="poblacion_env" Type="String" />
                <asp:Parameter Name="pais_env" Type="String" />
                <asp:Parameter Name="telefono" Type="String" />
                <asp:Parameter Name="movil" Type="String" />
                <asp:Parameter Name="email" Type="String" />
            </UpdateParameters>
        </asp:ObjectDataSource>
        <asp:ObjectDataSource ID="odsTipoVia" runat="server" SelectMethod="GetTipoVia" TypeName="Negoci.TipoViaBL">
        </asp:ObjectDataSource>
        <br />
    </div>
</asp:Content>
