﻿<%@ Page Title="Registrarse" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Register.aspx.cs" Inherits="Web.Account.Register" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <script type="text/javascript">

        function btnCopiarDirClick() {
            alert("copiar");
        }
    </script>
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <div class="main">
        <table width="100%">
            <tr>
                <td valign="top" width="15%">
                </td>
                <td>
                    <asp:CreateUserWizard ID="RegisterUser" runat="server" EnableViewState="false" OnCreatedUser="RegisterUser_CreatedUser" RequireEmail="False">
                        <LayoutTemplate>
                            <asp:PlaceHolder ID="wizardStepPlaceholder" runat="server"></asp:PlaceHolder>
                            <asp:PlaceHolder ID="navigationPlaceholder" runat="server"></asp:PlaceHolder>
                        </LayoutTemplate>
                        <WizardSteps>
                            <asp:CreateUserWizardStep ID="RegisterUserWizardStep" runat="server">
                                <ContentTemplate>
                                    <h2>
                                        Crear una nueva cuenta
                                    </h2>
                                    <p>
                                        Las contraseñas deben tener una longitud mínima de
                                        <%= Membership.MinRequiredPasswordLength %>
                                        caracteres.
                                    </p>
                                    <span class="failureNotification">
                                        <asp:Literal ID="ErrorMessage" runat="server"></asp:Literal>
                                    </span>
                                    <asp:ValidationSummary ID="RegisterUserValidationSummary" runat="server" CssClass="failureNotification"
                                        ValidationGroup="RegisterUserValidationGroup" />
                                    <div class="accountInfo">
                                        <table>
                                            <tr>
                                                <td>
                                                    <fieldset>
                                                        <legend>Información de la cuenta</legend>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Nombre de usuario:</asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="UserName" runat="server" CssClass="textEntry"></asp:TextBox>
                                                                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                                                        CssClass="failureNotification" ErrorMessage="El nombre de usuario es obligatorio."
                                                                        ToolTip="El nombre de usuario es obligatorio." ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                                                </td>
                                                            </tr>
<%--                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">Correo electrónico:</asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="Email" runat="server" CssClass="textEntry"></asp:TextBox>
                                                                    <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email"
                                                                        CssClass="failureNotification" ErrorMessage="El correo electrónico es obligatorio."
                                                                        ToolTip="El correo electrónico es obligatorio." ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                                                </td>
                                                            </tr>--%>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Contraseña:</asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                                                                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                                                        CssClass="failureNotification" ErrorMessage="La contraseña es obligatoria." ToolTip="La contraseña es obligatoria."
                                                                        ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword">Confirmar contraseña:</asp:Label>
                                                                </td>
                                                                <td>
                                                                    <asp:TextBox ID="ConfirmPassword" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                                                                    <asp:RequiredFieldValidator ControlToValidate="ConfirmPassword" CssClass="failureNotification"
                                                                        Display="Dynamic" ErrorMessage="Confirmar contraseña es obligatorio." ID="ConfirmPasswordRequired"
                                                                        runat="server" ToolTip="Confirmar contraseña es obligatorio." ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>
                                                                    <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password"
                                                                        ControlToValidate="ConfirmPassword" CssClass="failureNotification" Display="Dynamic"
                                                                        ErrorMessage="Contraseña y Confirmar contraseña deben coincidir." ValidationGroup="RegisterUserValidationGroup">*</asp:CompareValidator>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </fieldset>
                                                </td>
                                            </tr>
                                        </table>
                                        <p class="submitButton">
                                            <asp:Button ID="CreateUserButton" runat="server" CommandName="MoveNext" Text="Crear usuario"
                                                ValidationGroup="RegisterUserValidationGroup" />
                                        </p>
                                    </div>
                                </ContentTemplate>
                                <CustomNavigationTemplate>
                                </CustomNavigationTemplate>
                            </asp:CreateUserWizardStep>
                        </WizardSteps>
                    </asp:CreateUserWizard>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
