﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantCategorias.aspx.cs" Inherits="Web.MantCategorias" %>

<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        function btnEditarClick(codigo) {
            location.href = "MantCategoriaDetalle.aspx?op=edit&cod=" + codigo;
        }
    </script>
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="pageForm">
        <h2>
            Mantenimiento de Categorías</h2>
        <asp:Panel ID="pnlGrid" runat="server">
        <br />
            <asp:GridView ID="gvCategorias" runat="server" AutoGenerateColumns="False" CellPadding="4"
                DataSourceID="odsCategorias" ForeColor="#333333" GridLines="None">
                <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                <Columns>
                    <asp:BoundField DataField="codigo" HeaderText="Código" SortExpression="codigo">
                        <ItemStyle Width="75px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="descripcion" HeaderText="Descripción" SortExpression="descripcion">
                        <ItemStyle Width="300px" />
                    </asp:BoundField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <a onclick="btnEditarClick('<%# Eval("codigo") %>');">
                                <img alt="Editar" src="../icons/pencil.png" /></a>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <EditRowStyle BackColor="#999999" />
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                <SortedAscendingCellStyle BackColor="#E9E7E2" />
                <SortedAscendingHeaderStyle BackColor="#506C8C" />
                <SortedDescendingCellStyle BackColor="#FFFDF8" />
                <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
            </asp:GridView>
            <asp:ObjectDataSource ID="odsCategorias" runat="server" SelectMethod="GetCategorias"
                TypeName="Negoci.CategoriaBL"></asp:ObjectDataSource>
            <br />
            <asp:Button ID="btnNuevo" runat="server" OnClick="btnNuevo_Click" Text="Nueva" />
            &nbsp;
            <asp:Button ID="btnVolver" runat="server" Text="Volver" 
                onclick="btnVolver_Click" />
        </asp:Panel>
    </div>
</asp:Content>
