﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantMovimStockDetalle.aspx.cs" Inherits="Web.MantMovimStockDetalle" %>

<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div class="pageForm">
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <h2>
            Nuevo Movimiento de Stock</h2>
        <asp:Panel ID="pnlPlantilla" runat="server">
            <br />
            <asp:FormView ID="fvMovim" runat="server" DataSourceID="odsMovim" DefaultMode="Insert">
                <InsertItemTemplate>
                    <table>
                        <tr>
                            <td>
                                <asp:Label ID="lblTipoMov" runat="server" Text="Tipo Movimiento" Width="100px" AssociatedControlID="ddlTipoMov"></asp:Label>
                            </td>
                            <td>
                                <asp:DropDownList ID="ddlTipoMov" runat="server" Width="150px" DataSourceID="odsTipoMovim"
                                    DataTextField="descripcion" DataValueField="codigo">
                                </asp:DropDownList>
                                <asp:TextBox ID="tipo_movTextBox" runat="server" Text='<%# Bind("tipo_mov") %>' Visible="false" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblArticulo" runat="server" Text="Artículo" Width="100px" AssociatedControlID="articuloTextBox"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="articuloTextBox" runat="server" Text='<%# Bind("articulo") %>' Width="150px" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblCantidad" runat="server" Text="Cantidad" Width="100px" AssociatedControlID="cantidadTextBox"></asp:Label>
                            </td>
                            <td>
                                <asp:TextBox ID="cantidadTextBox" runat="server" Text='<%# Bind("cantidad") %>' Width="75px" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <br />
                    <asp:Button ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                        Text="Insertar" />
                    &nbsp;<asp:Button ID="InsertCancelButton" runat="server" CausesValidation="False"
                        CommandName="Cancel" Text="Cancelar" OnClick="InsertCancelButton_Click" />
                </InsertItemTemplate>
            </asp:FormView>
            <asp:ObjectDataSource ID="odsMovim" runat="server" InsertMethod="InsertMovimiento"
                SelectMethod="GetMovimientoById" TypeName="Negoci.MovimientoBL" OnInserted="odsMovim_Inserted"
                OnInserting="odsMovim_Inserting">
                <InsertParameters>
                    <asp:Parameter Name="tipo_mov" Type="String" />
                    <asp:Parameter Name="articulo" Type="String" />
                    <asp:Parameter Name="cantidad" Type="Int32" />
                </InsertParameters>
                <SelectParameters>
                    <asp:Parameter Name="id" Type="Int32" />
                </SelectParameters>
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsTipoMovim" runat="server" SelectMethod="GetTipoMovim"
                TypeName="Negoci.MovimientoBL"></asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
