﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Web
{
    public partial class MantMovimStockDetalle : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
               
                    fvMovim.DefaultMode = FormViewMode.Insert;
                    fvMovim.DataBind();
            }            
        }

        protected void odsMovim_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            if (Convert.ToInt32(e.ReturnValue) != 0)
                Response.Redirect("MantMovimStock.aspx");
            else
            {
                pnlMessage.Visible = true;
                lblMessage.Text = "Error al generar el movimiento";
            }
        }

        protected void InsertCancelButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("MantMovimStock.aspx");
        }

        protected void odsMovim_Inserting(object sender, ObjectDataSourceMethodEventArgs e)
        {
            e.InputParameters["tipo_mov"] = ((DropDownList)(fvMovim.FindControl("ddlTipoMov"))).SelectedValue;
        }

    }
}