﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantUsuarioDetalle.aspx.cs" Inherits="Web.MantUsuarioDetalle" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div class="pageForm">
        <asp:Panel ID="pnlMessage" runat="server" Visible="false" BackColor="#FFFFCC" BorderColor="Gray"
            BorderWidth="1px">
            <br />
            &nbsp;
            <asp:Image ID="imgError" runat="server" ImageUrl="~/icons/exclamation.png" />
            &nbsp;
            <asp:Label ID="lblMessage" runat="server" ForeColor="Red" Font-Bold="True"></asp:Label>
            <br />
            <br />
        </asp:Panel>
        <h2>
            Edición del Artículo</h2>
        <asp:Panel ID="pnlPlantilla" runat="server">
            <asp:FormView ID="fvUsuario" runat="server" DataSourceID="odsUsuario" DefaultMode="Edit">
                <EditItemTemplate>
                    <fieldset>
                        <legend>Datos de la cuenta</legend>
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblLogin" runat="server" Text="Login" Width="100px" AssociatedControlID="loginTextBox"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="loginTextBox" runat="server" Text='<%# Bind("login") %>' Width="150px" Enabled="false"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblPerfil" runat="server" Text="Perfil" Width="100px" AssociatedControlID="ddlPerfil"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="perfilTextBox" runat="server" Text='<%# Bind("perfil") %>' Visible="false" />
                                    <asp:DropDownList ID="ddlPerfil" runat="server" DataSourceID="odsPerfil" DataTextField="descripcion"
                                        DataValueField="codigo" Width="150px">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                        </table>
                    </fieldset>
                    <br />
                    <asp:Button ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                        Text="Actualizar" />
                    &nbsp;<asp:Button ID="UpdateCancelButton" runat="server" CausesValidation="False"
                        CommandName="Cancel" Text="Cancelar" OnClick="UpdateCancelButton_Click" />
                </EditItemTemplate>
            </asp:FormView>
            <asp:FormView ID="fvCliente" runat="server" DataSourceID="odsCliente">
                <ItemTemplate>
                    <table>
                        <tr>
                            <td>
                                <fieldset>
                                    <legend>Datos Personales</legend>
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblDni" runat="server" Text="DNI" Width="90px" AssociatedControlID="dniTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="dniTextBox" runat="server" Text='<%# Bind("dni") %>' Width="100px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblNombre" runat="server" Text="Nombre" Width="90px" AssociatedControlID="nombreTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="nombreTextBox" runat="server" Text='<%# Bind("nombre") %>' Width="300px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblApellido1" runat="server" Text="1r Apellido" Width="90px" AssociatedControlID="apellido1TextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="apellido1TextBox" runat="server" Text='<%# Bind("apellido1") %>'
                                                    Width="300px" Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblApellido2" runat="server" Text="2do Apellido" Width="90px" AssociatedControlID="apellido2TextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="apellido2TextBox" runat="server" Text='<%# Bind("apellido2") %>'
                                                    Width="300px" Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblTelefono" runat="server" Text="Teléfono" Width="90px" AssociatedControlID="telefonoTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="telefonoTextBox" runat="server" Text='<%# Bind("telefono") %>' Width="100px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblMovil" runat="server" Text="Móvil" Width="90px" AssociatedControlID="movilTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="movilTextBox" runat="server" Text='<%# Bind("movil") %>' Width="100px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblEmail" runat="server" Text="E-mail" Width="90px" AssociatedControlID="emailTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="emailTextBox" runat="server" Text='<%# Bind("email") %>' Width="200px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td valign="top">
                                <fieldset>
                                    <legend>Dirección</legend>
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblDirección" runat="server" Text="Dirección" Width="90px" AssociatedControlID="tipo_viaTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="tipo_viaTextBox" runat="server" Text='<%# Bind("tipo_via") %>' Enabled="false"
                                                    Width="75px" />
                                                <asp:TextBox ID="direccionTextBox" runat="server" Text='<%# Bind("direccion") %>'
                                                    Width="200" TextMode="MultiLine" Rows="2" Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblCp" runat="server" Text="Código Postal" Width="90px" AssociatedControlID="cpTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="cpTextBox" runat="server" Text='<%# Bind("cp") %>' Width="75px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblPoblacion" runat="server" Text="Población" Width="90px" AssociatedControlID="poblacionTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="poblacionTextBox" runat="server" Text='<%# Bind("poblacion") %>'
                                                    Width="300px" Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblPais" runat="server" Text="País" Width="90px" AssociatedControlID="paisTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="paisTextBox" runat="server" Text='<%# Bind("pais") %>' Width="100px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                            <td valign="top">
                                <fieldset>
                                    <legend>Dirección de Envío</legend>
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblDireccionEnv" runat="server" Text="Dirección" Width="90px" AssociatedControlID="tipo_via_envTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="tipo_via_envTextBox" runat="server" Text='<%# Bind("tipo_via_env") %>'
                                                    Enabled="false" Width="75px" />
                                                <asp:TextBox ID="direccion_envTextBox" runat="server" Text='<%# Bind("direccion_env") %>'
                                                    TextMode="MultiLine" Rows="2" Width="200px" Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblCpEnv" runat="server" Text="Código Postal" Width="90px" AssociatedControlID="cp_envTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="cp_envTextBox" runat="server" Text='<%# Bind("cp_env") %>' Width="75px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblPoblacionEnv" runat="server" Text="Población" Width="90px" AssociatedControlID="poblacion_envTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="poblacion_envTextBox" runat="server" Text='<%# Bind("poblacion_env") %>'
                                                    Width="300" Enabled="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:Label ID="lblPaisEnv" runat="server" Text="País" Width="90px" AssociatedControlID="pais_envTextBox"></asp:Label>
                                            </td>
                                            <td>
                                                <asp:TextBox ID="pais_envTextBox" runat="server" Text='<%# Bind("pais_env") %>' Width="200px"
                                                    Enabled="false" />
                                            </td>
                                        </tr>
                                    </table>
                                </fieldset>
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
            </asp:FormView>
            <asp:ObjectDataSource ID="odsCliente" runat="server" SelectMethod="GetClienteByLogin"
                TypeName="Negoci.UsuarioBL" OnSelecting="odsCliente_Selecting">
                <SelectParameters>
                    <asp:Parameter Name="login" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsUsuario" runat="server" SelectMethod="GetUsuarioByLogin"
                TypeName="Negoci.UsuarioBL" UpdateMethod="UpdateUsuario" OnSelecting="odsUsuario_Selecting"
                OnUpdated="odsUsuario_Updated" OnUpdating="odsUsuario_Updating">
                <SelectParameters>
                    <asp:Parameter Name="login" Type="String" />
                </SelectParameters>
                <UpdateParameters>
                    <asp:Parameter Name="login" Type="String" />
                    <asp:Parameter Name="perfil" Type="String" />
                </UpdateParameters>
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsPerfil" runat="server" SelectMethod="GetPerfiles" TypeName="Negoci.PerfilBL">
            </asp:ObjectDataSource>
            <asp:ObjectDataSource ID="odsTipoVia" runat="server" SelectMethod="GetTipoVia" TypeName="Negoci.TipoViaBL">
            </asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
