﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="MantUsuarios.aspx.cs" Inherits="Web.MantUsuarios" %>

<asp:Content ID="HeaderContent" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        function btnEditarClick(login) {
            location.href = "MantUsuarioDetalle.aspx?login=" + login;
        }
    </script>
</asp:Content>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server">
    <div class="pageForm">
        <h2>
            Mantenimiento de Usuarios</h2>
        <asp:Panel ID="pnlBuscador" runat="server">
            <br />
            <table>
                <tr>
                    <td>
                        <asp:Label ID="lblPerfil" runat="server" Text="Perfil" AssociatedControlID="ddlPerfiles"
                            Width="90px"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="ddlPerfiles" runat="server" Width="150px" DataSourceID="odsPerfil"
                            DataTextField="descripcion" DataValueField="codigo">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lblDni" runat="server" Text="DNI" AssociatedControlID="tbDni" Width="90px"></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="tbDni" runat="server" Width="150px"></asp:TextBox>
                    </td>
                </tr>
            </table>
            <asp:ObjectDataSource ID="odsPerfil" runat="server" SelectMethod="GetPerfiles" 
                TypeName="Negoci.PerfilBL"></asp:ObjectDataSource>
            <br />
            <asp:Button ID="btnBuscar" runat="server" Text="Buscar" OnClick="btnBuscar_Click" />
            <br />
            <br />
        </asp:Panel>
        <asp:Panel ID="pnlGrid" runat="server">
            <asp:GridView ID="gvUsuarios" runat="server" AutoGenerateColumns="False" 
                CellPadding="4" DataSourceID="odsUsuarios" ForeColor="#333333" GridLines="None">
                <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                <Columns>
                    <asp:BoundField DataField="login" HeaderText="Login" SortExpression="login">
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="perfil" HeaderText="Perfil" SortExpression="perfil" Visible="false">
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="perfil_descripcion" HeaderText="Perfil" SortExpression="perfil_descripcion">
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="dni" HeaderText="DNI" SortExpression="dni">
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="nombre" HeaderText="Nombre" SortExpression="nombre">
                    <ItemStyle Width="150px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="apellido1" HeaderText="1r Apellido" 
                        SortExpression="apellido1">
                    <ItemStyle Width="200px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="apellido2" HeaderText="2do Apellido" 
                        SortExpression="apellido2">
                    <ItemStyle Width="200px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="telefono" HeaderText="telefono" 
                        SortExpression="telefono" Visible="False" />
                    <asp:BoundField DataField="movil" HeaderText="Móvil" SortExpression="movil">
                    <ItemStyle Width="100px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="email" HeaderText="E-mail" SortExpression="email">
                    <ItemStyle Width="150px" />
                    </asp:BoundField>
                    <asp:BoundField DataField="tipo_via" HeaderText="tipo_via" 
                        SortExpression="tipo_via" Visible="False" />
                    <asp:BoundField DataField="direccion" HeaderText="direccion" 
                        SortExpression="direccion" Visible="False" />
                    <asp:BoundField DataField="cp" HeaderText="cp" SortExpression="cp" 
                        Visible="False" />
                    <asp:BoundField DataField="poblacion" HeaderText="poblacion" 
                        SortExpression="poblacion" Visible="False" />
                    <asp:BoundField DataField="pais" HeaderText="pais" SortExpression="pais" 
                        Visible="False" />
                    <asp:BoundField DataField="tipo_via_env" HeaderText="tipo_via_env" 
                        SortExpression="tipo_via_env" Visible="False" />
                    <asp:BoundField DataField="direccion_env" HeaderText="direccion_env" 
                        SortExpression="direccion_env" Visible="False" />
                    <asp:BoundField DataField="cp_env" HeaderText="cp_env" SortExpression="cp_env" 
                        Visible="False" />
                    <asp:BoundField DataField="poblacion_env" HeaderText="poblacion_env" 
                        SortExpression="poblacion_env" Visible="False" />
                    <asp:BoundField DataField="pais_env" HeaderText="pais_env" 
                        SortExpression="pais_env" Visible="False" />
                    <asp:TemplateField>
                        <ItemTemplate>
                            <a onclick="btnEditarClick('<%# Eval("login") %>');">
                                <img alt="Editar" src="../icons/pencil.png" /></a>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <EditRowStyle BackColor="#999999" />
                <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                <SortedAscendingCellStyle BackColor="#E9E7E2" />
                <SortedAscendingHeaderStyle BackColor="#506C8C" />
                <SortedDescendingCellStyle BackColor="#FFFDF8" />
                <SortedDescendingHeaderStyle BackColor="#6F8DAE" />
            </asp:GridView>
            <br />
            <asp:Button ID="btnVolver" runat="server" Text="Volver" 
                onclick="btnVolver_Click" />
            <asp:ObjectDataSource ID="odsUsuarios" runat="server" 
                onselecting="odsUsuarios_Selecting" SelectMethod="GetViewClientesByPerfilDni" 
                TypeName="Negoci.UsuarioBL">
                <SelectParameters>
                    <asp:Parameter Name="perfil" Type="String" />
                    <asp:Parameter Name="dni" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
        </asp:Panel>
    </div>
</asp:Content>
